petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscEventPerfLogActivateClass

Activates event logging for a PETSc object class.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscEventPerfLogActivateClass(PetscEventPerfLog eventLog,PetscEventRegLog eventRegLog,PetscClassId classid)

Not Collective

### Input Parameters

| eventLog | - The PetscEventPerfLog
| eventRegLog | - The PetscEventRegLog
| classid | - The class id, for example MAT_CLASSID, SNES_CLASSID,

### See Also

PetscEventPerfLogDeactivateClass(), PetscEventPerfLogActivate(), PetscEventPerfLogDeactivate()

### Level

developer

### Location

src/sys/logging/utils/eventlog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages